> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Userwhatsapp By Id

> Update userwhatsapp



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json put /api/v1/user/{userwhatsapp_id}/UserWhatsApp
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/user/{userwhatsapp_id}/UserWhatsApp:
    put:
      tags:
        - User
      summary: Update Userwhatsapp By Id
      description: Update userwhatsapp
      operationId: update_userwhatsapp_by_id_api_v1_user__userwhatsapp_id__UserWhatsApp_put
      parameters:
        - name: userwhatsapp_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Userwhatsapp Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IUserWhatsAppUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPutResponseBase_IUserWhatsAppUpdate_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IUserWhatsAppUpdate:
      properties:
        phone_number_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number Id
        phone_business_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Business Id
        facebook_app_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Facebook App Secret
        whatsapp_access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Whatsapp Access Token
        whatsapp_phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Whatsapp Phone Number
      type: object
      title: IUserWhatsAppUpdate
    IPutResponseBase_IUserWhatsAppUpdate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data updated successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IUserWhatsAppUpdate'
            - type: 'null'
      type: object
      title: IPutResponseBase[IUserWhatsAppUpdate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````